Public Class frmFindNewVeragCard

    Public kdNr
    Public KfzKennzeichen
    Public SDLNr
    Public History

    Dim SQL As New VERAG_PROG_ALLGEMEIN.SQL

    Sub New()

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub


    Sub New(lkw, SDLNr)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        lblLKW.Text = lkw
        Me.SDLNr = SDLNr
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub

    Private Sub frmFindNewVeragCard_Load(sender As Object, e As EventArgs) Handles Me.Load
        With DataGridView
            .DataSource = SQL.loadDgvBySql("SELECT KundenNr,KfzKennzeichen,SDLNr,History,[KartenNr],[Bestelldatum],[Lieferdatum],[Vermerk],[Fahrer],[Ersatzkarte],[Gesperrt],[Defekt],[Verloren],[Gestohlen]  FROM [SDL]  where SDLNr=" & SDLNr & " and KundenNr <=0 order by cast(kartennr as int)", "SDL")
            If .RowCount > 0 Then
                .Columns("KundenNr").Visible = False
                .Columns("KfzKennzeichen").Visible = False
                .Columns("SDLNr").Visible = False
                .Columns("History").Visible = False
            End If
        End With


    End Sub

  
    Private Sub DataGridView_CellDoubleClick(sender As Object, e As DataGridViewCellEventArgs) Handles DataGridView.CellDoubleClick
        If DataGridView.SelectedRows.Count > 0 Then
            kdNr = DataGridView.SelectedRows(0).Cells("KundenNr").Value
            KfzKennzeichen = DataGridView.SelectedRows(0).Cells("KfzKennzeichen").Value
            SDLNr = DataGridView.SelectedRows(0).Cells("SDLNr").Value
            History = DataGridView.SelectedRows(0).Cells("History").Value
            Me.DialogResult = Windows.Forms.DialogResult.OK
            Me.Close()
        End If
        
    End Sub
End Class